# Class default

RecentNote represents recently visited note.

#### Hierarchy (View Summary)

- default<default>
  - default

- Defined in becca/entities/brecent_note.ts:11

#####
Index

### Constructors

constructor

### Properties

blobId?
dateCreated?
dateModified?
isProtected?
isSynced?
noteId
notePath
utcDateCreated
utcDateModified?

### Accessors

becca
isDeleted
entityName
hashedProperties
primaryKeyName

### Methods

_getContent
_setContent
beforeSaving
generateHash
getPojo
getPojoToSave
getUtcDateChanged
hasStringContent
init
markAsDeleted
markAsDeletedSimple
putEntityChange
save
updateFromRow

##
Constructors

### constructor

- new default(row: RecentNoteRow): default

- #### Parameters

  - row: RecentNoteRow

  #### Returns default

  Overrides default.constructor

  - Defined in becca/entities/brecent_note.ts:19

##
Properties

### `Optional` blobId

blobId?: string

Inherited from default.blobId

- Defined in becca/entities/abstract_becca_entity.ts:35

### `Optional` dateCreated

dateCreated?: string

Inherited from default.dateCreated

- Defined in becca/entities/abstract_becca_entity.ts:28

### `Optional` dateModified

dateModified?: string

Inherited from default.dateModified

- Defined in becca/entities/abstract_becca_entity.ts:29

### `Optional` isProtected

isProtected?: boolean

Inherited from default.isProtected

- Defined in becca/entities/abstract_becca_entity.ts:33

### `Optional` isSynced

isSynced?: boolean

Inherited from default.isSynced

- Defined in becca/entities/abstract_becca_entity.ts:34

### noteId

noteId: string

- Defined in becca/entities/brecent_note.ts:16

### notePath

notePath: string

- Defined in becca/entities/brecent_note.ts:17

### utcDateCreated

utcDateCreated: string

Inherited from default.utcDateCreated

- Defined in becca/entities/abstract_becca_entity.ts:31

### `Optional` utcDateModified

utcDateModified?: string

Inherited from default.utcDateModified

- Defined in becca/entities/abstract_becca_entity.ts:27

##
Accessors

### `Protected` becca

- get becca(): Becca

- #### Returns Becca

  Inherited from AbstractBeccaEntity.becca

  - Defined in becca/entities/abstract_becca_entity.ts:48

### isDeleted

- get isDeleted(): boolean

- #### Returns boolean

  Inherited from AbstractBeccaEntity.isDeleted

  - Defined in becca/entities/abstract_becca_entity.ts:96

### `Static` entityName

- get entityName(): string

- #### Returns string

  - Defined in becca/entities/brecent_note.ts:12

### `Static` hashedProperties

- get hashedProperties(): string[]

- #### Returns string[]

  - Defined in becca/entities/brecent_note.ts:14

### `Static` primaryKeyName

- get primaryKeyName(): string

- #### Returns string

  - Defined in becca/entities/brecent_note.ts:13

##
Methods

### `Protected`_getContent

- _getContent(): string | Buffer<ArrayBufferLike>

- #### Returns string | Buffer<ArrayBufferLike>

  Inherited from default._getContent

  - Defined in becca/entities/abstract_becca_entity.ts:264

### `Protected`_setContent

- _setContent(content: string | Buffer<ArrayBufferLike>, opts?: ContentOpts): void

- #### Parameters

  - content: string | Buffer<ArrayBufferLike>
  - opts: ContentOpts = {}

  #### Returns void

  Inherited from default._setContent

  - Defined in becca/entities/abstract_becca_entity.ts:141

### `Protected` beforeSaving

- beforeSaving(opts?: {}): void

- #### Parameters

  - `Optional` opts: {}

  #### Returns void

  Inherited from default.beforeSaving

  - Defined in becca/entities/abstract_becca_entity.ts:37

### generateHash

- generateHash(isDeleted?: boolean): string

- #### Parameters

  - `Optional` isDeleted: boolean

  #### Returns string

  Inherited from default.generateHash

  - Defined in becca/entities/abstract_becca_entity.ts:64

### getPojo

- getPojo(): { noteId: string; notePath: string; utcDateCreated: string }

- #### Returns { noteId: string; notePath: string; utcDateCreated: string }

  Overrides default.getPojo

  - Defined in becca/entities/brecent_note.ts:31

### `Protected` getPojoToSave

- getPojoToSave(): {}

- #### Returns {}

  Inherited from default.getPojoToSave

  - Defined in becca/entities/abstract_becca_entity.ts:79

### getUtcDateChanged

- getUtcDateChanged(): string

- #### Returns string

  Inherited from default.getUtcDateChanged

  - Defined in becca/entities/abstract_becca_entity.ts:44

### hasStringContent

- hasStringContent(): boolean

- #### Returns boolean

  Inherited from default.hasStringContent

  - Defined in becca/entities/abstract_becca_entity.ts:83

### init

- init(): void

- #### Returns void

  Inherited from default.init

  - Defined in becca/entities/abstract_becca_entity.ts:90

### markAsDeleted

- markAsDeleted(deleteId?: null | string): void

- Mark the entity as (soft) deleted. It will be completely erased later.

  This is a low-level method, for notes and branches use `note.deleteNote()` and 'branch.deleteBranch()` instead.

  #### Parameters

  - deleteId: null | string = null

  #### Returns void

  Inherited from default.markAsDeleted

  - Defined in becca/entities/abstract_becca_entity.ts:280

### markAsDeletedSimple

- markAsDeletedSimple(): void

- #### Returns void

  Inherited from default.markAsDeletedSimple

  - Defined in becca/entities/abstract_becca_entity.ts:305

### `Protected` putEntityChange

- putEntityChange(isDeleted: boolean): void

- #### Parameters

  - isDeleted: boolean

  #### Returns void

  Inherited from default.putEntityChange

  - Defined in becca/entities/abstract_becca_entity.ts:52

### save

- save(opts?: {}): this

- Saves entity - executes SQL, but doesn't commit the transaction on its own

  #### Parameters

  - `Optional` opts: {}

  #### Returns this

  Inherited from default.save

  - Defined in becca/entities/abstract_becca_entity.ts:104

### updateFromRow

- updateFromRow(row: RecentNoteRow): void

- #### Parameters

  - row: RecentNoteRow

  #### Returns void

  Overrides default.updateFromRow

  - Defined in becca/entities/brecent_note.ts:25